/**
 *******************************************************************************
 * @file    TSB_CMSIS_CORE.h
 * @brief   CMSIS Cortex-M4 Core Peripheral Access Layer Header File for the
 *          TOSHIBA 'TMPM4Mx' Group.\n
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2022
 *******************************************************************************
 */
#ifndef __TSB_CMSIS_CORE_H__
#define __TSB_CMSIS_CORE_H__

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup TOSHIBA_TXZp_MICROCONTROLLER TOSHIBA TXZp MICROCONTROLLER
  * @{
  */
  
/** @addtogroup TMPM4Mx TMPM4Mx
  * @{
  */

#if !defined(TMPM4MLA) && !defined(TMPM4MMA) && !defined(TMPM4MNA)
/**
  * @brief Remove a comment of target device.
  */
    /* #define TMPM4MLA */  /*!< TMPM4MLA device */
    /* #define TMPM4MMA */  /*!< TMPM4MMA device */
    #define TMPM4MNA   /*!< TMPM4MNA device */
#endif

/** @addtogroup Device_Included Device Included
  * @{
  */

#if defined(TMPM4MLA)
    #include "TMPM4MLA.h"
#elif defined(TMPM4MMA)
    #include "TMPM4MMA.h"
#elif defined(TMPM4MNA)
    #include "TMPM4MNA.h"
#else
    #error "target device is non-select."
#endif

/**
  * @}
  */ /* End of group Device_Included */

#ifdef __cplusplus
}
#endif

#endif  /* __TSB_CMSIS_CORE_H__ */

/**
  * @}
  */ /* End of group TMPM4Mx TMPM4Mx */

/**
  * @}
  */ /* End of group TOSHIBA_TXZp_MICROCONTROLLER */
