/** 
 *******************************************************************************
 * @file    flash_config.h
 * @brief   This file is wrapper file for FLASH driver.
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2022
 *******************************************************************************
 */

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
/* NOTE: set flash memory size. */
#define FLASH_SIZE              (1024)

#define FLASH_SIZE_IS_512KB     (512)
#define FLASH_SIZE_IS_1024KB    (1024)

#if (FLASH_SIZE == FLASH_SIZE_IS_512KB)
#include "flash_512ud32_b.h"
#elif  (FLASH_SIZE == FLASH_SIZE_IS_1024KB)
#include "flash_10mud32_a.h"
#else
#error "Flash size is NOT valid."
#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */


