/** 
 *******************************************************************************
 * @file    trgsel_m4m1.h
 * @brief   This file provides all the functions prototypes for TRGSEL.
 * @version V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2022
 *******************************************************************************
 */
/*------------------------------------------------------------------------------*/
/*  Define to prevent recursive inclusion                                       */
/*------------------------------------------------------------------------------*/
#ifndef __TRGSEL_M4M1_H
#define __TRGSEL_M4M1_H

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/

/**
 *  @addtogroup Periph_Driver Peripheral Driver
 *  @{
 */

/** 
 *  @addtogroup TRGSEL
 *  @brief      TRGSEL Driver.
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Function                                                              */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TRGSEL_Private_macro
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group TRGSEL_Private_macro */


/*------------------------------------------------------------------------------*/
/*  Configuration                                                               */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TRGSEL_Private_define
 *  @{
 */

/* no define */

/** 
 *  @}
 */ /* End of group TRGSEL_Private_define */


/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TRGSEL_Private_define
 *  @{
 */
/** 
 *  @defgroup Parameter_Result Parameter Result
 *  @brief    Whether the parameter is specified or not.
 *  @{
 */
#define TRGSEL_PARAM_OK             ((int32_t)1)              /*!< Parameter is valid(specified).         */
#define TRGSEL_PARAM_NG             ((int32_t)0)              /*!< Parameter is invalid(not specified).   */

/**
 *  @}
 */ /* End of group Parameter_Result */
/** 
 *  @}
 */ /* End of group TRGSEL_Private_define */

/*------------------------------------------------------------------------------*/
/*  Enumerated Type Definition                                                  */
/*------------------------------------------------------------------------------*/
/** 
 *  @addtogroup TRGSEL_Private_define
 *  @{
 */

typedef enum
{
    TRGSEL0 = 0,     /* TRGSEL INSEL0 */
    TRGSEL1,         /* TRGSEL INSEL1 */
    TRGSEL2,         /* TRGSEL INSEL2 */
    TRGSEL3,         /* TRGSEL INSEL3 */
    TRGSEL4,         /* TRGSEL INSEL4 */
    TRGSEL5,         /* TRGSEL INSEL5 */
    TRGSEL6,         /* TRGSEL INSEL6 */
    TRGSEL7,         /* TRGSEL INSEL7 */
    TRGSEL8,         /* TRGSEL INSEL8 */
    TRGSEL9,         /* TRGSEL INSEL9 */
    TRGSEL10,        /* TRGSEL INSEL10 */
    TRGSEL11,        /* TRGSEL INSEL11 */
    TRGSEL12,        /* TRGSEL INSEL12 */
    TRGSEL13,        /* TRGSEL INSEL13 */
    TRGSEL14,        /* TRGSEL INSEL14 */
    TRGSEL15,        /* TRGSEL INSEL15 */
    TRGSEL16,        /* TRGSEL INSEL16 */
    TRGSEL17,        /* TRGSEL INSEL17 */
    TRGSEL18,        /* TRGSEL INSEL18 */
    TRGSEL19,        /* TRGSEL INSEL19 */
    TRGSEL20,        /* TRGSEL INSEL20 */
    TRGSEL21,        /* TRGSEL INSEL21 */
    TRGSEL22,        /* TRGSEL INSEL22 */
    TRGSEL23,        /* TRGSEL INSEL23 */
    TRGSEL24,        /* TRGSEL INSEL24 */
    TRGSEL25,        /* TRGSEL INSEL25 */
    TRGSEL26,        /* TRGSEL INSEL26 */
    TRGSEL27,        /* TRGSEL INSEL27 */
    TRGSEL28,        /* TRGSEL INSEL28 */
    TRGSEL29,        /* TRGSEL INSEL29 */
    TRGSEL30,        /* TRGSEL INSEL30 */
    TRGSEL31,        /* TRGSEL INSEL31 */
    TRGSEL32,        /* TRGSEL INSEL32 */
    TRGSEL33,        /* TRGSEL INSEL33 */
    TRGSEL34,        /* TRGSEL INSEL34 */
    TRGSEL35,        /* TRGSEL INSEL35 */
    TRGSEL36,        /* TRGSEL INSEL36 */
    TRGSEL37,        /* TRGSEL INSEL37 */
    TRGSEL38,        /* TRGSEL INSEL38 */
    TRGSEL39,        /* TRGSEL INSEL39 */
    TRGSEL40,        /* TRGSEL INSEL40 */
    TRGSEL41,        /* TRGSEL INSEL41 */
    TRGSEL42,        /* TRGSEL INSEL42 */
}trgsel_num_t;

/** 
 *  @}
 */ /* End of group TRGSEL_Private_define */


/*------------------------------------------------------------------------------*/
/*  Table Definition                                                        */
/*------------------------------------------------------------------------------*/

#define TRGSEL_MAX     (42 + 1)
#define VARIABLE_SIZE  32
#define TRGSEL_CH_SIZE 64
#if defined(TMPM4MNA)
static uint32_t trgsel_table[TRGSEL_MAX / VARIABLE_SIZE + 1] =
{
    0xFFFFFFFF, 0x000007FF
};
#elif defined(TMPM4MMA)
static uint32_t trgsel_table[TRGSEL_MAX / VARIABLE_SIZE + 1] =
{
    0xFFFFFFFF, 0x000007FF
};
#elif defined(TMPM4MLA)
static uint32_t trgsel_table[TRGSEL_MAX / VARIABLE_SIZE + 1] =
{
    0xFEFFFFFF, 0x000007FF
};
#else
    #error "target device is non-select."
#endif

static uint8_t insel_table[TRGSEL_MAX] = 
{
    0x07, 0x07, 0x07, 0x1F,
    0x1F, 0x1F, 0x3F, 0xFF,
    0xFF, 0xFF, 0x3F, 0x3F,
    0x7F, 0xFF, 0xFF, 0xFF,
    0x3F, 0x3F, 0x3F, 0x3F,
    0x3F, 0x3F, 0x3F, 0x3F,
    0x3F, 0xFF, 0x0F, 0x0F,
    0xFF, 0x0F, 0x0F, 0x7F,
    0x0F, 0x0F, 0xFF, 0x0F,
    0x0F, 0xFF, 0x0F, 0x0F,
    0xFF, 0x0F, 0x0F
};

/** 
 *  @}
 */ /* End of group TRGSEL_Private_table */


/**
 *  @}
 */ /* End of group TRGSEL */

/**
 *  @} 
 */ /* End of group Periph_Driver */

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __TRGSEL_M4M1_H */

